<?php


function next_travel_pro_style( $args = array() ) {
	$options = next_travel_pro_get_theme_options();
	?>
	<style type="text/css">

	<?php if ( !empty($options['theme_head_typography']) ): ?>
		h1, h2, h3, h4, h5, h6 {

			font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
		}
	<?php endif ?>
	<?php if ( !empty($options['theme_sub_head_typography']) ): ?>
		.featured-content-wrapper .entry-title, .section-subtitle {

			font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_sub_head_typography'])) ?>', sans-serif;
		}
	<?php endif ?>
	<?php if ( !empty($options['theme_body_typography']) ): ?>
	body {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_title_typography']) ): ?>
	.site-title a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_description_typography']) ): ?>
	.site-description {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_menu_typography']) ): ?>
	.menu-item a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
	.btn,
	.more-link a
	{

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
	}
<?php endif ?>

/*====================section's color css==========================*/


/*====================Slider==========================*/

<?php if( $options['home_layout'] =='default-design' || $options['home_layout'] =='default-design-all' ){ ?>

	<?php if( !empty( $options['title_color'] ) ): ?>
	#featured-slider-section h2.entry-title a{
		color: <?php echo esc_attr( $options['title_color'] ) ; ?>
	}
	#featured-slider-section h2.entry-title a:hover{
		color: #e5dfdd;
	}
<?php endif; ?>

<?php if( !empty( $options['title_hover_color'] ) ): ?>
	#featured-slider-section h2.entry-title a:hover{
		color: <?php echo esc_attr( $options['title_hover_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['excerpt_color'] ) ): ?>
	#featured-slider-section div.entry-content p{
		color: <?php echo esc_attr( $options['excerpt_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['button_color'] ) ): ?>
	#featured-slider-section .wp-travel-search input[type="submit"]{
		background-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
	}
	#featured-slider-section .wp-travel-search input[type="submit"]:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['button_hover_color'] ) ): ?>
	#featured-slider-section .wp-travel-search input[type="submit"]:hover{
		background-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['btn_title_color'] ) ): ?>
	#featured-slider-section .featured-content-wrapper .wp-travel-search input#wp-travel-search{
		color: <?php echo esc_attr( $options['btn_title_color'] ) ; ?>;
	}

<?php endif; ?>

	
<?php }else{ ?>

<?php if( !empty( $options['title_color'] ) ): ?>
	#business-slider-section .featured-content-wrapper .entry-title a{
		color: <?php echo esc_attr( $options['title_color'] ) ; ?>
	}
	#business-slider-section .featured-content-wrapper .entry-title a:hover{
		color: #e5dfdd;
	}
<?php endif; ?>

<?php if( !empty( $options['title_hover_color'] ) ): ?>
	#business-slider-section .featured-content-wrapper .entry-title a:hover{
		color: <?php echo esc_attr( $options['title_hover_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['excerpt_color'] ) ): ?>
	#business-slider-section .featured-content-wrapper .entry-content{
		color: <?php echo esc_attr( $options['excerpt_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['button_color'] ) ): ?>
#business-slider-section .btn{
background-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
border-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
}
#business-slider-section .btn:hover{
background-color: #000;
border-color: #000;
}
<?php endif; ?>

<?php if( !empty( $options['button_hover_color'] ) ): ?>
#business-slider-section .btn:hover{
background-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
border-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['btn_title_color'] ) ): ?>
#business-slider-section .btn{
color: <?php echo esc_attr( $options['btn_title_color'] ) ; ?>;
}

<?php endif; ?>
<?php } ?>

/*====================About==========================*/

<?php if( !empty( $options['about_bg_color'] ) ): ?>
	#about-us{
		background: <?php echo esc_attr( $options['about_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['about_subtitle_color'] ) ): ?>
	#about-us h3.section-subtitle {
		color: <?php echo esc_attr( $options['about_subtitle_color'] ) ; ?>
	}
	#about-us .separator{
		background-color: <?php echo esc_attr( $options['about_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['about_title_color'] ) ): ?>
	#about-us h2.section-title a{
		color: <?php echo esc_attr( $options['about_title_color'] ) ; ?>;
	}

	#about-us h2.section-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['about_hover_title_color'] ) ): ?>
	#about-us h2.section-title a:hover{
		color: <?php echo esc_attr( $options['about_hover_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['about_description_color'] ) ): ?>
	#about-us div.entry-content p{
		color: <?php echo esc_attr( $options['about_description_color'] ) ; ?>
	}
<?php endif; ?>

	<?php if( !empty( $options['about_button_color'] ) ): ?>
	#about-us .read-more a {
		background-color: <?php echo esc_attr( $options['about_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['about_button_color'] ) ; ?>;
	}
	#about-us .read-more a:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['about_button_hover_color'] ) ): ?>
	#about-us .read-more a:hover{
		background-color: <?php echo esc_attr( $options['about_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['about_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>


<?php if( !empty( $options['about_btn_text_color'] ) ): ?>
	#about-us .read-more a{
		color: <?php echo esc_attr( $options['about_btn_text_color'] ) ; ?>;
	}

<?php endif; ?>

/*====================Gallery Slider==========================*/

<?php if( !empty( $options['gallery_slider_bg_color'] ) ): ?>
	#gallery-slider-section{
		background: <?php echo esc_attr( $options['gallery_slider_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['gallery_slider_subtitle_color'] ) ): ?>
	#gallery-slider-section .section-subtitle {
		color: <?php echo esc_attr( $options['gallery_slider_subtitle_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['gallery_slider_title_color'] ) ): ?>
	#gallery-slider-section .section-title{
		color: <?php echo esc_attr( $options['gallery_slider_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['gallery_slider_button_hover_color'] ) ): ?>
	#gallery-slider-section .btn {
		border-color: <?php echo esc_attr( $options['gallery_slider_button_hover_color'] ) ; ?>;
	}
	#gallery-slider-section .btn:hover{
		background-color: <?php echo esc_attr( $options['gallery_slider_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['gallery_slider_btn_text_color'] ) ): ?>
	#gallery-slider-section .btn,
	#gallery-slider-section .btn:hover {
		color: <?php echo esc_attr( $options['gallery_slider_btn_text_color'] ) ; ?>;
	}
<?php endif; ?>

/*====================Popular Destination==========================*/

<?php if( !empty( $options['popular_destination_bg_color'] ) ): ?>
	#top-travel-destinations{
		background: <?php echo esc_attr( $options['popular_destination_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['popular_destination_subtitle_color'] ) ): ?>
	#top-travel-destinations .section-subtitle {
		color: <?php echo esc_attr( $options['popular_destination_subtitle_color'] ) ; ?>
	}

	#top-travel-destinations .separator {
		background-color: <?php echo esc_attr( $options['popular_destination_subtitle_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['popular_destination_title_color'] ) ): ?>
	#top-travel-destinations h2.section-title{
		color: <?php echo esc_attr( $options['popular_destination_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['popular_destination_description_color'] ) ): ?>
	#top-travel-destinations .entry-content p{
		color: <?php echo esc_attr( $options['popular_destination_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['popular_destination_button_color'] ) ): ?>
	#top-travel-destinations .btn {
		background-color: <?php echo esc_attr( $options['popular_destination_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['popular_destination_button_color'] ) ; ?>;
	}
	#top-travel-destinations .btn:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['popular_destination_button_hover_color'] ) ): ?>
	#top-travel-destinations .btn:hover{
		background-color: <?php echo esc_attr( $options['popular_destination_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['popular_destination_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>


<?php if( !empty( $options['popular_destination_btn_text_color'] ) ): ?>
	#top-travel-destinations .btn{
		color: <?php echo esc_attr( $options['popular_destination_btn_text_color'] ) ; ?>;
	}

<?php endif; ?>

/*==========================Counter========================*/

<?php if( !empty( $options['counter_bg_color'] ) ): ?>
	#counter-section{
		background: <?php echo esc_attr( $options['counter_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['counter_subtitle_color'] ) ): ?>
	#counter-section .section-subtitle {
		color: <?php echo esc_attr( $options['counter_subtitle_color'] ) ; ?>
	}

	#counter-section .separator {
		background-color: <?php echo esc_attr( $options['counter_subtitle_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['counter_title_color'] ) ): ?>
	#counter-section .section-title {
		color: <?php echo esc_attr( $options['counter_title_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['counter_value_color'] ) ): ?>
	#counter-section .counter-value {
		color: <?php echo esc_attr( $options['counter_value_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['counter_label_color'] ) ): ?>
	#counter-section .counter-title {
		color: <?php echo esc_attr( $options['counter_label_color'] ) ; ?>
	}
<?php endif; ?>

/*==========================Recommended Destination========================*/
<?php if( !empty( $options['recommended_destination_bg_color'] ) ): ?>
	#recommended-destinations{
		background: <?php echo esc_attr( $options['recommended_destination_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_subtitle_color'] ) ): ?>
	#recommended-destinations .section-subtitle {
		color: <?php echo esc_attr( $options['recommended_destination_subtitle_color'] ) ; ?>
	}

	#recommended-destinations .separator {
		background-color: <?php echo esc_attr( $options['recommended_destination_subtitle_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_title_color'] ) ): ?>
	#recommended-destinations h2.section-title{
		color: <?php echo esc_attr( $options['recommended_destination_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_description_color'] ) ): ?>
	#recommended-destinations .entry-content p{
		color: <?php echo esc_attr( $options['recommended_destination_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_button_color'] ) ): ?>
	#recommended-destinations .btn {
		background-color: <?php echo esc_attr( $options['recommended_destination_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['recommended_destination_button_color'] ) ; ?>;
	}
	#recommended-destinations .btn:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_button_hover_color'] ) ): ?>
	#recommended-destinations .btn:hover{
		background-color: <?php echo esc_attr( $options['recommended_destination_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['recommended_destination_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recommended_destination_btn_text_color'] ) ): ?>
	#recommended-destinations .btn{
		color: <?php echo esc_attr( $options['recommended_destination_btn_text_color'] ) ; ?>;
	}

<?php endif; ?>


/*===============================Testimonial===========================*/

<?php if( !empty( $options['testimonial_bg_color'] ) ): ?>
	#testimonial-section{
		background: <?php echo esc_attr( $options['testimonial_bg_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['testimonial_subtitle_color'] ) ): ?>
	#testimonial-section .section-subtitle {
		color: <?php echo esc_attr( $options['testimonial_subtitle_color'] ) ; ?>
	}

	#testimonial-section .separator {
		background-color: <?php echo esc_attr( $options['testimonial_subtitle_color'] ) ; ?>
	}
<?php endif; ?>

<?php if( !empty( $options['testimonial_title_color'] ) ): ?>
	#testimonial-section h2.section-title{
		color: <?php echo esc_attr( $options['testimonial_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['testimonial_description_color'] ) ): ?>
	#testimonial-section .entry-content p{
		color: <?php echo esc_attr( $options['testimonial_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['testimonial_author_title_color'] ) ): ?>
	#testimonial-section .entry-title a{
		color: <?php echo esc_attr( $options['testimonial_author_title_color'] ) ; ?>;
	}

	#testimonial-section .entry-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['testimonial_title_hover_color'] ) ): ?>
	
	#testimonial-section .entry-title a:hover{
		color:<?php echo esc_attr( $options['testimonial_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Blog===========================*/
<?php if( !empty( $options['blog_bg_color'] ) ): ?>
	#latest-posts{
		background: <?php echo esc_attr( $options['blog_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_subtitle_color'] ) ): ?>
	#latest-posts .section-subtitle {
		color: <?php echo esc_attr( $options['blog_subtitle_color'] ) ; ?>;
	}

	#latest-posts .separator {
		background-color: <?php echo esc_attr( $options['blog_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_title_color'] ) ): ?>
	#latest-posts .section-title {
		color: <?php echo esc_attr( $options['blog_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_post_title_color'] ) ): ?>
	#latest-posts .entry-title a,
	#latest-posts .posted-on a {
		color: <?php echo esc_attr( $options['blog_post_title_color'] ) ; ?>;
	}

	#latest-posts .entry-title a:hover,
	#latest-posts .posted-on a:hover {
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_title_hover_color'] ) ): ?>
	#latest-posts .entry-title a:hover,
	#latest-posts .posted-on a:hover {
		color: <?php echo esc_attr( $options['blog_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_description_color'] ) ): ?>
	#latest-posts .entry-content p {
		color: <?php echo esc_attr( $options['blog_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_post_category_color'] ) ): ?>
	#latest-posts .post-categories li a {
		color: <?php echo esc_attr( $options['blog_post_category_color'] ) ; ?>;
	}
	#latest-posts .post-categories li a:hover {
		color: #fff;
	}
<?php endif; ?>

<?php if( !empty( $options['blog_category_hover_color'] ) ): ?>
	#latest-posts .post-categories li a:hover {
		color: <?php echo esc_attr( $options['blog_category_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Subscription===========================*/
<?php if( !empty( $options['subscription_bg_color'] ) ): ?>
	#subscribe-now{
		background: <?php echo esc_attr( $options['subscription_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_subtitle_color'] ) ): ?>
	#subscribe-now .section-subtitle {
		color: <?php echo esc_attr( $options['subscription_subtitle_color'] ) ; ?>;
	}

	#subscribe-now .separator {
		background-color: <?php echo esc_attr( $options['subscription_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_title_color'] ) ): ?>
	#subscribe-now .section-title {
		color: <?php echo esc_attr( $options['subscription_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_description_color'] ) ): ?>
	#subscribe-now .entry-content p {
		color: <?php echo esc_attr( $options['subscription_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_button_color'] ) ): ?>
	#subscribe-now button[type="submit"] {
		background-color: <?php echo esc_attr( $options['subscription_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['subscription_button_color'] ) ; ?>;
	}
	#subscribe-now button[type="submit"]:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_button_hover_color'] ) ): ?>
	#subscribe-now button[type="submit"]:hover{
		background-color: <?php echo esc_attr( $options['subscription_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['subscription_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['subscription_btn_text_color'] ) ): ?>
	#subscribe-now button[type="submit"]{
		color: <?php echo esc_attr( $options['subscription_btn_text_color'] ) ; ?>;
	}

<?php endif; ?>

/*===============================service===========================*/
<?php if( !empty( $options['service_bg_color'] ) ): ?>
	#our-services{
		background: <?php echo esc_attr( $options['service_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['service_section_subtitle_color'] ) ): ?>
	#our-services .section-subtitle{
		color: <?php echo esc_attr( $options['service_section_subtitle_color'] ) ; ?>;
	}
	#our-services .separator{
		background: <?php echo esc_attr( $options['service_section_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['service_section_title_color'] ) ): ?>
	#our-services .section-title{
		color: <?php echo esc_attr( $options['service_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['service_icon_color'] ) ): ?>
	#our-services .icon-container a{
		color: <?php echo esc_attr( $options['service_icon_color'] ) ; ?>;
	}
	#our-services .icon-container a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['service_icon_hover_color'] ) ): ?>
	#our-services .icon-container a:hover{
		color: <?php echo esc_attr( $options['service_icon_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['service_title_color'] ) ): ?>
	#our-services .entry-title a{
		color: <?php echo esc_attr( $options['service_title_color'] ) ; ?>;
	}
	#our-services .entry-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['service_title_hover_color'] ) ): ?>
	#our-services .entry-title a:hover{
		color: <?php echo esc_attr( $options['service_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['service_description_color'] ) ): ?>
	#our-services .entry-content p{
		color: <?php echo esc_attr( $options['service_description_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================service===========================*/
<?php if( !empty( $options['team_bg_color'] ) ): ?>
	#our-team{
		background: <?php echo esc_attr( $options['team_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['team_section_subtitle_color'] ) ): ?>
	#our-team .section-subtitle{
		color: <?php echo esc_attr( $options['team_section_subtitle_color'] ) ; ?>;
	}
	#our-team .separator{
		background: <?php echo esc_attr( $options['team_section_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['team_section_title_color'] ) ): ?>
	#our-team .section-title{
		color: <?php echo esc_attr( $options['team_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['team_title_color'] ) ): ?>
	#our-team .entry-title a{
		color: <?php echo esc_attr( $options['team_title_color'] ) ; ?>;
	}
	#our-team .entry-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['team_title_hover_color'] ) ): ?>
	#our-team .entry-title a:hover{
		color: <?php echo esc_attr( $options['team_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['team_description_color'] ) ): ?>
	#our-team span.team-position,
	#our-team .entry-content p{
		color: <?php echo esc_attr( $options['team_description_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Recent News===========================*/
<?php if( !empty( $options['recent_news_bg_color'] ) ): ?>
	#recent-news{
		background: <?php echo esc_attr( $options['recent_news_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_subtitle_color'] ) ): ?>
	#recent-news .section-subtitle{
		color: <?php echo esc_attr( $options['recent_news_subtitle_color'] ) ; ?>;
	}
	#recent-news .separator{
		background: <?php echo esc_attr( $options['recent_news_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_title_color'] ) ): ?>
	#recent-news .section-title{
		color: <?php echo esc_attr( $options['recent_news_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_post_title_color'] ) ): ?>
	#recent-news .entry-title a{
		color: <?php echo esc_attr( $options['recent_news_post_title_color'] ) ; ?>;
	}
	#recent-news .entry-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_post_title_hover_color'] ) ): ?>
	#recent-news .entry-title a:hover{
		color: <?php echo esc_attr( $options['recent_news_post_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_description_color'] ) ): ?>
	#recent-news .entry-content p,
	span.byline{
		color: <?php echo esc_attr( $options['recent_news_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_button_color'] ) ): ?>
	#recent-news .read-more a {
		background-color: <?php echo esc_attr( $options['recent_news_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['recent_news_button_color'] ) ; ?>;
	}
	#recent-news .read-more a:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_button_hover_color'] ) ): ?>
	#recent-news .read-more a:hover{
		background-color: <?php echo esc_attr( $options['recent_news_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['recent_news_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_news_btn_text_color'] ) ): ?>
	#recent-news .read-more a{
		color: <?php echo esc_attr( $options['recent_news_btn_text_color'] ) ; ?>;
	}

<?php endif; ?>

<?php if( !empty( $options['recent_news_category_date_color'] ) ): ?>
	#recent-news a.url.fn.n,
	#recent-news .entry-meta span:not(:last-child):after,
	#recent-news time.entry-date.published {
		color: <?php echo esc_attr( $options['recent_news_category_date_color'] ) ; ?>;
	}
	#recent-news a.url.fn.n:hover,
	#recent-news time.entry-date.published:hover {
		color: #000;
	}
	
<?php endif; ?>

<?php if( !empty( $options['recent_news_category_date_hover_color'] ) ): ?>
	#recent-news a.url.fn.n:hover,
	#recent-news time.entry-date.published:hover {
		color: <?php echo esc_attr( $options['recent_news_category_date_hover_color'] ) ; ?>;
	}
	
<?php endif; ?>

/*===============================Latest Product===========================*/
<?php if( !empty( $options['latest_products_bg_color'] ) ): ?>
	#latest-products{
		background: <?php echo esc_attr( $options['latest_products_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['latest_products_btn_bg_color'] ) ): ?>
	#latest-products .entry-container{
		background: <?php echo esc_attr( $options['latest_products_btn_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['latest_products_title_color'] ) ): ?>
	#latest-products .entry-title a{
		color: <?php echo esc_attr( $options['latest_products_title_color'] ) ; ?>;
	}
	#latest-products .entry-title a:hover{
		color: #0EB5E1;
	}
<?php endif; ?>

<?php if( !empty( $options['latest_products_title_hover_color'] ) ): ?>
	#latest-products .entry-title a:hover{
		color: <?php echo esc_attr( $options['latest_products_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Popular Product===========================*/

<?php if( !empty( $options['popular_products_bg_color'] ) ): ?>
	#popular-products{
		background: <?php echo esc_attr( $options['popular_products_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['popular_products_sub_title_color'] ) ): ?>
	#popular-products h3.section-subtitle{
		color: <?php echo esc_attr( $options['popular_products_sub_title_color'] ) ; ?>;
	}
	#popular-products .separator{
		background-color: <?php echo esc_attr( $options['popular_products_sub_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['popular_products_title_color'] ) ): ?>
	#popular-products h2.section-title{
		color: <?php echo esc_attr( $options['popular_products_title_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Product Collection===========================*/

<?php if( !empty( $options['collection_bg_color'] ) ): ?>
	#products-collection{
		background: <?php echo esc_attr( $options['collection_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['collection_sub_title_color'] ) ): ?>
	#products-collection h3.section-subtitle{
		color: <?php echo esc_attr( $options['collection_sub_title_color'] ) ; ?>;
	}
	#products-collection .separator{
		background-color: <?php echo esc_attr( $options['collection_sub_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['collection_title_color'] ) ): ?>
	#products-collection h2.section-title{
		color: <?php echo esc_attr( $options['collection_title_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Recent Product===========================*/

<?php if( !empty( $options['recent_products_bg_color'] ) ): ?>
	#recent-products{
		background: <?php echo esc_attr( $options['recent_products_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_products_sub_title_color'] ) ): ?>
	#recent-products h3.section-subtitle{
		color: <?php echo esc_attr( $options['recent_products_sub_title_color'] ) ; ?>;
	}
	#recent-products .separator{
		background-color: <?php echo esc_attr( $options['recent_products_sub_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['recent_products_title_color'] ) ): ?>
	#recent-products h2.section-title{
		color: <?php echo esc_attr( $options['recent_products_title_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Featured Product===========================*/

<?php if( !empty( $options['featured_products_bg_color'] ) ): ?>
	#featured-products{
		background: <?php echo esc_attr( $options['featured_products_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['featured_products_btn_bg_color'] ) ): ?>
	#featured-products .btn{
		background-color: <?php echo esc_attr( $options['featured_products_btn_bg_color'] ) ; ?>;
		border: <?php echo esc_attr( $options['featured_products_btn_bg_color'] ) ; ?>;
	}
	#featured-products .btn:hover{
		background-color: #000;
		border: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['featured_products_btn_bg_hover_color'] ) ): ?>
	#featured-products .btn:hover{
		background-color: <?php echo esc_attr( $options['featured_products_btn_bg_hover_color'] ) ; ?>;
		border: <?php echo esc_attr( $options['featured_products_btn_bg_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['featured_products_btn_text_color'] ) ): ?>
	#featured-products .btn{
		color: <?php echo esc_attr( $options['featured_products_btn_text_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Trending Product===========================*/

<?php if( !empty( $options['trending_products_bg_color'] ) ): ?>
	#trending-products{
		background: <?php echo esc_attr( $options['trending_products_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['trending_products_section_title_color'] ) ): ?>
	#trending-products .category-title{
		color: <?php echo esc_attr( $options['trending_products_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['trending_products_title_color'] ) ): ?>
	#trending-products .entry-title a{
		color: <?php echo esc_attr( $options['trending_products_title_color'] ) ; ?>;
	}
	#trending-products .entry-title a:hover{
		color: #ff6633;
	}
<?php endif; ?>

<?php if( !empty( $options['trending_products_title_hover_color'] ) ): ?>
	#trending-products .entry-title a:hover{
		color: <?php echo esc_attr( $options['trending_products_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>



</style>

<?php }

add_action( 'wp_head', 'next_travel_pro_style' );