<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Next Travel Pro
 * @since Next Travel Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'next_travel_pro_menu', array(
	'title'             => esc_html__('Header Menu','next-travel-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'next-travel-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'next_travel_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Next_Travel_Pro_Switch_Control( $wp_customize, 'next_travel_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_menu',
	'on_off_label' 		=> next_travel_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'next_travel_pro_theme_options[search_icon_in_primary_menu_enable]', array(
	'default'			=> 	$options['search_icon_in_primary_menu_enable'],
	'sanitize_callback' => 'next_travel_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Next_Travel_Pro_Switch_Control( $wp_customize, 'next_travel_pro_theme_options[search_icon_in_primary_menu_enable]', array(
	'label'             => esc_html__( 'Enable Search Icon', 'next-travel-pro' ),
	'description'       => esc_html__( 'Add Search Icon in Last of primary menu', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_menu',
	'on_off_label' 		=> next_travel_pro_switch_options(),

) ) );

// Topbar Social menu  enable control and setting
$wp_customize->add_setting( 'next_travel_pro_theme_options[social_menu_enable]', array(
	'default'			=> 	$options['social_menu_enable'],
	'sanitize_callback' => 'next_travel_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Next_Travel_Pro_Switch_Control( $wp_customize, 'next_travel_pro_theme_options[social_menu_enable]', array(
	'label'             => esc_html__( 'Enable Social menu', 'next-travel-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'next-travel-pro' ), esc_html__( 'Click Here', 'next-travel-pro' ), esc_html__( 'to create menu', 'next-travel-pro' ) ),
	'section'           => 'next_travel_pro_menu',
	'on_off_label' 		=> next_travel_pro_switch_options(),
) ) );
