<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Next Travel Pro
* @since Next Travel Pro 1.0.0
*/

if ( ! function_exists( 'next_travel_pro_validate_long_excerpt' ) ) :
  function next_travel_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'next-travel-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'next_travel_pro_validate_slider_count' ) ) :
  function next_travel_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_gallery_slider_count' ) ) :
  function next_travel_pro_validate_gallery_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_counter_count' ) ) :
  function next_travel_pro_validate_counter_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_service_count' ) ) :
  function next_travel_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_team_count' ) ) :
  function next_travel_pro_validate_team_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 9 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_blog_count' ) ) :
  function next_travel_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'next_travel_pro_validate_testimonial_count' ) ) :
  function next_travel_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'next_travel_pro_validate_featured_posts_count' ) ) :
  function next_travel_pro_validate_featured_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'next_travel_pro_validate_recent_news_count' ) ) :
  function next_travel_pro_validate_recent_news_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_latest_products_count' ) ) :
  function next_travel_pro_validate_latest_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 6 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_popular_products_count' ) ) :
  function next_travel_pro_validate_popular_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_recent_products_count' ) ) :
  function next_travel_pro_validate_recent_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'next_travel_pro_validate_trending_product_count' ) ) :
  function next_travel_pro_validate_trending_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'next-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'next-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'next-travel-pro' ) );
	 }
	 return $validity;
  }
endif;
